use thiserror::Error;

use crate::lexer::types::TokenValue;

#[derive(Debug, Clone, PartialEq, Eq, Error)]
pub enum ParseError {
    #[error("expected {} before {}", .1, .0)]
    ExpectedBefore(TokenValue, &'static str),
    #[error("expected identifier after {}", .0)]
    ExpectedIdentAfter(TokenValue),
}
